package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工工时分摊月报对象 buyer_emp_workhour_month
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerEmpWorkhourMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 立项管理id */
    @Excel(name = "立项管理id")
    private String projectId;

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    /** 成员人数 */
    @Excel(name = "成员人数")
    private Long peopleNum;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 工时累积 */
    @Excel(name = "工时累积")
    private BigDecimal totalWork;

    /** 成本累积 */
    @Excel(name = "成本累积")
    private BigDecimal totalCost;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("projectId", getProjectId())
            .append("peopleNum", getPeopleNum())
            .append("year", getYear())
            .append("month", getMonth())
            .append("totalWork", getTotalWork())
            .append("totalCost", getTotalCost())
            .toString();
    }
}
